# Class MapModel

Object used to expose the OpenLayer map.

Example of usage:

       (window as any).gmfapi.store.map.getMap().subscribe({
         next: (map: Map) => {
           if (map) {
             ...
           }
         },
       })

#### Hierarchy

- MapModel

- Defined in srcapi/store/map.ts:39

#####
Index

### Constructors

constructor

### Methods

getMap
setMap

## Constructors

### constructor

- new MapModel(): MapModel

- #### Returns MapModel

## Methods

### getMap

- getMap(): BehaviorSubject<Map>

- #### Returns BehaviorSubject<Map>

  the OpenLayers map.

  - Defined in srcapi/store/map.ts:50

### setMap

- setMap(map): void

- Set the OpenLayers map.

  #### Parameters

  - ##### map: Map

    the OpenLayers map

  #### Returns void

  - Defined in srcapi/store/map.ts:59

Generated using TypeDoc